import { Observable } from 'rxjs';
export declare const defaultPageSize: number;
export interface IDataPager {
    pageNumber$: Observable<number>;
    pageSize$: Observable<number>;
    setPage(page: number): void;
    startItem$: Observable<number>;
    filter<T>(dataSet$: Observable<T[]>): Observable<T[]>;
}
export declare class DataPager implements IDataPager {
    private _pageNumber;
    private _pageSize;
    constructor();
    setPage(page: number): void;
    setPageSize(size: number): void;
    readonly pageNumber$: Observable<number>;
    readonly pageSize$: Observable<number>;
    readonly startItem$: Observable<number>;
    filter(dataSet$: Observable<any[]>): Observable<any[]>;
}
